WITH a AS (
    SELECT DISTINCT
        academic_outcome.*,
        COUNT(*)
        OVER(PARTITION BY academic_outcome.id) AS degree_count
    FROM
        academic_outcome
    WHERE
        ( academic_outcome.major = 'CLE'
          OR academic_outcome.major = 'CHE' )
        AND academic_outcome.degree = 'BS'
        AND academic_outcome.status = 'AW'
    ORDER BY
        name
),

b as(
SELECT DISTINCT
    a.id,
    a.name,
    a.degree,
    a.degree_desc,
    a.outcome_number,
    a.status,
    a.status_desc,
    a.outcome_awarded_ind,
    a.program,
    a.program_desc,
    a.major,
    a.second_major,
    a.major_desc,
    a.transfer_work_exists_ind,
    a.college,
    a.college_desc,
    a.bulletin_year,
    a.bulletin_year_desc,
    a.academic_period_desc,
    a.academic_period,
    a.department,
    a.first_concentration,
    a.department_desc,
    a.first_concentration_desc,
    a.second_concentration,
    a.second_concentration_desc,
    a.second_major_desc,
    a.second_program_classif_desc,
    a.second_department,
    a.second_department_desc,
    a.second_program_classification,
    a.second_major_conc_1,
    a.second_major_conc_1_desc,
    a.second_major_conc_2,
    a.second_major_conc_2_desc,
    a.second_major_conc_3,
    a.second_major_conc_3_desc,
    a.first_minor_desc,
    a.first_minor,
    a.second_minor,
    a.second_minor_desc,
    a.academic_year_graduation,
    a.academic_year_graduation_desc,
    a.academic_period_graduation,
    a.academic_period_grad_desc,
    a.gpa,
    a.degree_count
FROM
    a
WHERE
    ( a.degree_count > 1 )
    OR ( a.major = 'CLE'
         AND a.second_major = 'CHE' )
    OR ( a.major = 'CHE'
         AND a.second_major = 'CLE' )
)
SELECT
*
FROM
b
WHERE
degree_count=1
OR
major='CLE'