--This file is sql code designed to find all students registered for the current term as any level of Chemical & Life Science Engineering OR Pharmacy.
--Created by RLWasilewski 08/08/2023
--Last Updated 08/09/2023

--prompts user for current term
DEFINE currentterm

WITH 
base AS (
SELECT DISTINCT
    registration_bio.*
FROM
    registration_bio
WHERE
    academic_period = '&currentterm'
AND (major1 = 'CLE' OR major1='PME' OR major2='CLE' OR major2='PME')
AND deceased_status <> 'Y'
AND CENSUS_PERIOD=0)

SELECT DISTINCT
    base.id AS VID,
    base.FIRST_NAME,
    base.LAST_NAME,
    base.DEGREE1,
    base.DEGREE2,
    base.MAJOR1,
    base.MAJOR2,
    base.GR_CREDITS_ATTEMPTED,
    base.GR_CREDITS_EARNED,
    base.GR_CREDITS_PASSED,
    base.GR_GPA,
    base.GR_GPA_CREDITS,
    base.GR_QUALITY_POINTS,
    base.UG_CREDITS_ATTEMPTED,
    base.UG_CREDITS_EARNED,
    base.UG_CREDITS_PASSED,
    base.UG_GPA,
    base.UG_GPA_CREDITS,
    base.UG_QUALITY_POINTS,
    base.EMAIL_PREFERRED_ADDRESS AS Email
FROM base
ORDER BY UG_Quality_Points