--This file is sql code designed to find all students registered for the current term as any level of Chemical & Life Science Engineering OR Pharmacy.
--Created by RLWasilewski 08/08/2023
--Last Updated 08/09/2023

--prompts user for current term
DEFINE currentterm

WITH 
base AS (
SELECT DISTINCT
    registration_bio.*
FROM
    registration_bio
WHERE
    academic_period = '&currentterm'
AND (major1 = 'CLE' OR major1='PME' OR major2='CLE' OR major2='PME')
AND deceased_status <> 'Y')

SELECT DISTINCT
    base.id AS Name,
    base.FIRST_NAME AS FirstName,
    base.LAST_NAME AS LastName,
    base.FIRST_NAME AS Greeting,
    base.MAJOR1 AS Title,
    base.MAJOR2 AS Organization,
    base.EMAIL_PREFERRED_ADDRESS AS Email
FROM base